<?php
require_once 'library/useful-functions.php';
// Set up vars to track results.
$errorMessages = ''; // Composite error messsage.
$taxRate = 0; // Tax rate for a state.
$stateShortName = '';
$stateLongName = '';
$price = 0; // List price.
$discountRate = 0; // Discount rate, e.g., 0.1
$discountedPrice = 0; // Price after discount taken.
$tax = 0; // Tax, price * rate.
$total = 0; // Total after tax.
// Check the state.
$stateShortName = getParamFromGet('state');
$stateErrorMessage = checkState($stateShortName);
// Check the price.
$price = getParamFromGet('price');
$priceErrorMessage = checkPrice($price);
// Check the discount rate.
$discountRate = getParamFromGet('discount_rate');
$discountRateErrorMessage = checkDiscountRate($discountRate);
// Combine the error messages.
$errorMessages = $stateErrorMessage . $priceErrorMessage . $discountRateErrorMessage;
// Should there be processing?
if ($errorMessages == '') {
    // No errors.
    if ($stateShortName == 'mi') {
        $taxRate = 0.06;
        $stateLongName = 'Michigan';
    }
    else {
        $taxRate = 0.0625;;
        $stateLongName = 'Illinois';
    }
    $discount = $price * $discountRate;
    $discountedPrice = $price - $discount;
    $tax = $discountedPrice * $taxRate;
    $total = $discountedPrice + $tax;
}
?><!doctype html>
<html lang="en">
    <head>
        <title>Sales tax and discount</title>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <link rel="stylesheet" href="library/styles.css">
    </head>
    <body>
        <h1>Sales tax and discount</h1>
        <?php
        if ($errorMessages != '') {
            print "<div class='error-message'>
                     <p>There were errors.</p>
                     <p>$errorMessages</p>
                   </div>\n";
        }
        else {
            print "<p>List price: $price</p>
                   <p>Discount rate: $discountRate</p>
                   <p>Discounted price: $discountedPrice</p> 
                   <p>Sales tax ($stateLongName, $taxRate): $tax</p>
                   <p>Total: $total</p>\n";
        }
        ?>
    </body>
</html>